
<div class="row aling-items-center">
    <div class="col-md-12">
        <h6 class="title">Propietario</h6>
        <div class="d-flex position-absolute" style="top: 7px; right: 16px;">
            <a class="btn btn-sm py-1 mr-2" (click)="add()">
                Nuevo
            </a>
            <a class="btn btn-success text-white btn-sm py-1" (click)="search.show()">
                Existente
            </a>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <ul class="list-group data-grid">
            <li class="list-group-item">
                <div class="list-group-body">
                    <div class="list-group-img m-0" *ngIf="residenciaService.model?.PropietarioId">
                        <i class="mdi mdi-account-tie bg-transparent text-body"></i>
                    </div>
                    <div class="list-group-text" [ngClass]="{'my-1 ml-2': !residenciaService.model?.PropietarioId }">
                        <span class="list-group-title">{{ (service.model.NombreCompleto || residenciaService.model?.PropietarioNombreCompleto?.trimLeft()) || 'Sin Asignar' }}</span>
                        <small class="list-group-subtitle">{{ service.model.DNI || residenciaService.model?.PropietarioDNI }}</small>
                    </div>
                </div>
            </li>
        </ul>
    </div>
</div>

<ng-template #form>
    <app-residente-form></app-residente-form>
</ng-template>

<search-template #search searchTitle="Propietario" [service]="service" [columns]="columns" [filter]="filter"
    (onSelect)="selectedItem($event)" [busy]="service.busy">
</search-template>

